Bug 493000 - IMAP Temporary 100% CPU and freezes with thunderbird-3
IMAP Temporary 100% CPU and freezes with thunderbird-3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
22
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
: Reopened, Triaged
: 513783 (view as bug list)
Depends On:
Blocks: 597388
  Show dependency treegraph
 
Reported: 2009-03-31 04:19 EDT by Ola Thoresen
Modified: 2015-07-27 07:51 EDT (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 597388 (view as bug list)
Environment:
Last Closed: 2015-06-09 04:28:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace of frozen thunderbird (26.98 KB, text/plain)
2009-03-31 08:03 EDT, Ola Thoresen
no flags Details
Another backtrace from the next freeze (22.19 KB, text/plain)
2009-03-31 08:24 EDT, Ola Thoresen
no flags Details
backtrace during a freeze (18.32 KB, text/plain)
2010-08-03 11:21 EDT, Edward Rudd
no flags Details
gdb backtrace of thunderbird freeze (5.33 KB, text/plain)
2010-08-03 13:36 EDT, Andrew Meredith
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 472019 None None None Never
Mozilla Foundation 561272 None None None Never

  None (edit)
Description Ola Thoresen 2009-03-31 04:19:08 EDT
Description of problem:
Since upgrading to thunderbird 3 beta my x86_64 WS. is having semi long periods of 100% cpu usage.  My i686 laptop with the same setup does not show this.

I have two IMAP accounts, both woth several Gigabyte of mail in multiple folders, some with a few hundred thousand messages.

Automatich check for new messages is turned OFF for both accounts, and junk filter in thunderbird is disabled.

I even tried to rm -Rf the thunderbird profile-folder and set up the accounts from scrath, but the problem persists.
As mentioned this only happens on x86_64 and was not an issue with Thunderbird 2 (I downgraded to the latest Thunderbird 2 package to check, and the problem disappeared).



Version-Release number of selected component (if applicable):
thunderbird-3.0-2.1.beta2.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run thunderbird (v3 beta)
2.
3.
  
Actual results:
Every 10-15 minutes thunderbird freezes and cpu usage peaks at 100% for 2-3 minutes.


Expected results:
Thunderbird should run smooth all the time

Additional info:
Comment 1 Matěj Cepl 2009-03-31 07:12:05 EDT
Hmm, I am exactly the same configuration here and cannot reproduce it. Is there something more which could help us to reproduce it here. For example, which filesystem you use for your /home directory?
Comment 2 Ola Thoresen 2009-03-31 07:20:13 EDT
/home is actually on NFS, but that is the same for both the (i686) laptop and the (x86_64) workstation.

To be sure NFS is not the problem I have moved the profile from $HOME/.thunderbird/ to a local filesystem and added a symlink:

lrwxrwxrwx. 1 olen olen 42 2007-09-17 19:34 .thunderbird/gwagla2i.jobb -> /var/cache/olen/thunderbird/gwagla2i.jobb/

/var/cache is part of / which is LVM with ext3

$ df /var/cache/olen/thunderbird/gwagla2i.jobb/
Filesystem                        1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-LogVol00   149248172  35944648 105599768  26% /

When stracing the process I can't see anything special, but please let me know if there is anything else I can do to debug this.
Comment 3 Matěj Cepl 2009-03-31 07:33:36 EDT
First of all, could we get output of the command

	rpm -qa *xulrun* *thunderbird* *mozilla* *flash* *plugin*

Please also install thunderbird-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install thunderbird

Then run thunderbird and connect to it with gdb by command

gdb --pid=$(pidof thunderbird-bin)

Then make thunderbird work again with command

   (gdb) cont
   
and do whatever you did to make thunderbird freeze. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Ola Thoresen 2009-03-31 07:47:12 EDT
Here is the rpm -qa -output. Attaching gdb-output as soon as I have it:

#  rpm -qa *xulrun* *thunderbird* *mozilla* *flash* *plugin*
PackageKit-yum-plugin-0.4.6-0.3.20090324git.fc11.x86_64
plymouth-plugin-spinfinity-0.7.0-0.2009.03.10.2.fc11.x86_64
gstreamer-plugins-base-0.10.22-2.fc11.x86_64
mozilla-filesystem-1.9-4.fc11.x86_64
nspluginwrapper-1.3.0-5.fc11.x86_64
plymouth-plugin-label-0.7.0-0.2009.03.10.2.fc11.x86_64
alsa-plugins-pulseaudio-1.0.18-3.fc11.x86_64
setroubleshoot-plugins-2.0.14-2.fc11.noarch
yum-plugin-refresh-updatesd-1.1.21-2.fc11.noarch
gutenprint-plugin-5.2.3-5.fc11.x86_64
xulrunner-1.9.1-0.11.beta3.fc11.x86_64
xfce4-mailwatch-plugin-1.1.0-3.fc11.x86_64
gstreamer-plugins-good-0.10.14-2.fc11.x86_64
gstreamer-plugins-farsight-0.12.10-2.fc11.x86_64
plymouth-plugin-pulser-0.7.0-0.2009.03.10.2.fc11.x86_64
yum-plugin-fastestmirror-1.1.21-2.fc11.noarch
anaconda-yum-plugins-1.0-4.fc11.noarch
PackageKit-gstreamer-plugin-0.4.6-0.3.20090324git.fc11.x86_64
plymouth-plugin-solar-0.7.0-0.2009.03.10.2.fc11.x86_64
plymouth-plugin-fade-in-0.7.0-0.2009.03.10.2.fc11.x86_64
Comment 5 Ola Thoresen 2009-03-31 07:56:15 EDT
Sorry, missed the thunderbird-packages from the above list:

thunderbird-3.0-2.1.beta2.fc11.x86_64
thunderbird-debuginfo-3.0-2.1.beta2.fc11.x86_64
Comment 6 Ola Thoresen 2009-03-31 08:03:10 EDT
Created attachment 337291 [details]
backtrace of frozen thunderbird
Comment 7 Ola Thoresen 2009-03-31 08:24:53 EDT
Created attachment 337295 [details]
Another backtrace from the next freeze
Comment 8 Martin Stransky 2009-03-31 08:37:16 EDT
Hm, seems to be in:

Thread 1 (Thread 0x7f9d20082800 (LWP 27790)):
#0  0x00007f9d096ab010 in IndexOf<unsigned int, nsDefaultComparator<unsigned int, unsigned int> > (comp=<value optimized out>, start=<value optimized out>, item=<value optimized out>, 
    this=<value optimized out>) at ../../../mozilla/dist/include/xpcom/nsTArray.h:393
#1  IndexOf<unsigned int> (comp=<value optimized out>, start=<value optimized out>, item=<value optimized out>, this=<value optimized out>) at ../../../mozilla/dist/include/xpcom/nsTArray.h:407
#2  Contains<unsigned int> (comp=<value optimized out>, start=<value optimized out>, item=<value optimized out>, this=<value optimized out>) at ../../../mozilla/dist/include/xpcom/nsTArray.h:379
#3  nsAutoSyncState::PlaceIntoDownloadQ (comp=<value optimized out>, start=<value optimized out>, item=<value optimized out>, this=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/mailnews/imap/src/nsAutoSyncState.cpp:165
#4  0x00007f9d0966885f in nsImapMailFolder::HeaderFetchCompleted (this=0x7f9d046f8c00, aProtocol=0x7f9cad8b8000) at /usr/src/debug/thunderbird-3.0/mailnews/imap/src/nsImapMailFolder.cpp:5181
#5  0x00007f9d1f34b46d in NS_InvokeByIndex_P (that=0x4efcd, methodIndex=2773706040, paramCount=31457288, params=0x7f9d02051e78)
    at /usr/src/debug/thunderbird-3.0/mozilla/xpcom/reflect/xptcall/src/md/unix/xptcinvoke_x86_64_linux.cpp:208
#6  0x00007f9d1f343de3 in nsProxyObjectCallInfo::Run (this=0x7f9caceb4640) at /usr/src/debug/thunderbird-3.0/mozilla/xpcom/proxy/src/nsProxyEvent.cpp:181
#7  0x00007f9d1f33fab1 in nsThread::ProcessNextEvent (this=0x7f9d1c54c280, mayWait=1, result=0x7fff280b858c) at /usr/src/debug/thunderbird-3.0/mozilla/xpcom/threads/nsThread.cpp:510
#8  0x00007f9d1f310984 in NS_ProcessNextEvent_P (thread=0x4efcd, mayWait=-1521261256) at nsThreadUtils.cpp:227
#9  0x00007f9d0dbc75c9 in nsBaseAppShell::Run (this=0x7f9d07d6ac40) at /usr/src/debug/thunderbird-3.0/mozilla/widget/src/xpwidgets/nsBaseAppShell.cpp:170
#10 0x00007f9d0cf308a2 in nsAppStartup::Run (this=0x7f9d07c5f900) at /usr/src/debug/thunderbird-3.0/mozilla/toolkit/components/startup/src/nsAppStartup.cpp:192
#11 0x00007f9d1f7b25ca in XRE_main (argc=<value optimized out>, argv=<value optimized out>, aAppData=<value optimized out>) at /usr/src/debug/thunderbird-3.0/mozilla/toolkit/xre/nsAppRunner.cpp:3279
#12 0x00000000004019bc in main (argc=1, argv=0x7fff280b8dc8) at /usr/src/debug/thunderbird-3.0/mail/app/nsMailApp.cpp:103

So it looks like issue with nsImapMailFolder::HeaderFetchCompleted() from nsAutoSyncState. We may find an upstream bug for that or file a new one.
Comment 9 Ola Thoresen 2009-03-31 09:15:11 EDT
One thing I forgot to mention is that i use ssl/tls on the IMAP accounts.
It might not be related at all, but might be worth mentioning if it has to do with fetching the headers.
Comment 10 Ulrich Drepper 2009-04-11 05:49:23 EDT
Pretty much the same situation here and I see the same problem.

When this happens th memory use of thunderbird shoots up.  After startup it's about 650M.  During the 100% CPU time it shoots up to 1.6G, to go down after that.
Comment 11 Matěj Cepl 2009-04-14 06:55:10 EDT
Hmm, could it be related to https://bugzilla.mozilla.org/show_bug.cgi?id=472019 ?
Comment 12 Ulrich Drepper 2009-04-14 09:56:49 EDT
(In reply to comment #11)
> Hmm, could it be related to https://bugzilla.mozilla.org/show_bug.cgi?id=472019
> ?  

Doesn't look like it.  This is no crash.  My guess is that it's just periodically doing unnecessarily much work.  Copying things around into freshly allocated memory etc.
Comment 13 Ulrich Drepper 2009-04-21 21:35:42 EDT
Haven't there been any changes in the upstream thunderbird so that we could just have a new build from cvs?  This bug is really crippling.  Every 30 secs of writing is followed by 2 to 2.5 minutes of freezing.
Comment 14 Martin Stransky 2009-05-04 10:19:15 EDT
I'm just installing beta2 to my 64-bit box so let's see if I can catch it there...
Comment 15 Nathan G. Grennan 2009-05-11 20:36:21 EDT
I am running rawhide on a x86_64 box. The version below is what I am using. This is bad enough that I think that the package should be downgraded to 2.0.x. One error I got was a this script is taking too long for folderpane.js. My e-mail client is now dependent on javascript code?!?!?

thunderbird-3.0-2.1.beta2.fc11.x86_64

What is up with the tabs? There doesn't seem to be a way to open a new one, but yet I have a tab bar.
Comment 16 Nathan G. Grennan 2009-05-12 13:49:21 EDT
  I tried switching to the i586 version below on my x86_64 box to see if it would help. It seems to be just as bad. I just switch folders or sometimes scroll in the current folder and the whole interface will freeze for a number of seconds while it eats 100% of a core.

thunderbird-3.0-2.1.beta2.fc11.i586
Comment 17 Nathan G. Grennan 2009-05-12 14:22:33 EDT
  I turned off the sync feature on all my accounts. Just turned the feature off and on causes freezes.

Edit | Account Settings | "Account" | Syncing & Disk Space | Keep messages for this account on this computer
Comment 18 Nathan G. Grennan 2009-05-12 17:05:46 EDT
  Probably related to this upstream bug.

https://bugzilla.mozilla.org/show_bug.cgi?id=442674
Comment 19 Nathan G. Grennan 2009-05-22 03:33:40 EDT
I started to see this again with sync off. I started getting a crazy amount of spam, and ended up with 300,000+ messages in one folder. I received the same folderpane.js script error. Thunderbird also managed to cause a OOM event.

Out of memory: kill process 16440 (thunderbird-bin) score 793324 or a child
Killed process 16440 (thunderbird-bin)
Comment 20 Bug Zapper 2009-06-09 08:50:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Milan Kerslager 2009-06-12 03:04:07 EDT
thunderbird-3.0-2.3.beta2.fc11.x86_64 freezes sometimes here too (F11 + updates)
Comment 22 Ola Thoresen 2009-06-12 03:14:50 EDT
The problem seems to be fixed with
thunderbird-3.0-2.4.b3pre.hg.6a6386c16e98.fc11.x86_64 from koji.

Have been running that for a few weeks now without any trouble.

Rgds.
Comment 23 Alexander Holler 2009-06-17 04:05:52 EDT
That version from koji doesn't help here (and has no locales).

Thunderbird still constantly tortures my hard disk (and I have the synchronization turned off).

Thunderbird 3 on F11 is currently just unusable (at least with imap).
Comment 24 Alexander Holler 2009-06-18 07:21:47 EDT
It seems the hard disk activitiy with beta3pre was because the beta3pre has fetched and stored about 1 GB from my imap-server for which it has needed some time (because it seems to have lost a large part of the headers during upgrade to 3.0b2 because of bug 505884).

Actual the beta3pre behaves like it should, just that 1 GB in .thunderbird isn't what I'm using IMAP for (I have synchronization turned off).

Thunderbird 2 uses less than 300 MB in .thunderbird, which is just enough for the headers of about 4.5 GB mails which my imap-server actual has stored (uncompressed).
Comment 25 Aaron Toponce 2009-07-16 11:34:27 EDT
I am confirming high usage of CPU usage. It appears to be from several processes running. Further, if it sits for several hours, it has effectively chewed through 1GB of RAM, and begins swapping. I do have a massive IMAP account, with tens of thousands of messages taking up roughly 2GB. If you don't have enough info, I can provide any debugging data that would provide useful. Currently running TB 3 Beta 2.
Comment 26 Bertho 2009-07-28 05:23:30 EDT
I also noted the same 100% CPU problem after just upgrading to F11. However, it seems that the CPU usage is related to the number of mails in the folder and/or the number of unread mails.

After going through all folders and marking some 50000 messages as read and splitting some large folders, I now see the CPU usage being reduced significantly to a point where thunderbird is usable again. I still see spikes of CPU usage, which are probably from the inbox.
Comment 27 Milan Kerslager 2009-08-06 04:31:13 EDT
thunderbird-3.0-2.3.beta2.fc11.x86_64 spins and "freezes" with this ltrace output (too many same rolling lines, Thunderbird is in R state, eating 100% CPU, impossible to switch focus on it):

pthread_mutex_unlock(0x7fd3e5b8f040, 0xf0000000, 0x7fd3c7ac6000, 27, 0xf8000000)                 = 0
pthread_mutex_lock(0x7fd3e5b8f040, 88, 6, 0x7fff1a76a004, 88)                                    = 0
pthread_mutex_unlock(0x7fd3e5b8f040, 0xe0000000, 0x7fd3c7ac6000, 28, 0xf0000000)                 = 0
pthread_mutex_lock(0x7fd3e5b8f040, 88, 6, 4, 0)                                                  = 0
pthread_mutex_unlock(0x7fd3e5b8f040, 0xc0000000, 0x7fd3c7ac6000, 29, 0xe0000000)                 = 0
pthread_mutex_lock(0x7fd3e5b8f040, 88, 6, 0x7fff1a76a004, 88)                                    = 0
pthread_mutex_unlock(0x7fd3e5b8f040, 0x80000000, 0x7fd3c7ac6000, 30, 0xc0000000)                 = 0
pthread_mutex_lock(0x7fd3e5b8f040, 88, 6, 4, 0)                                                  = 0
pthread_mutex_unlock(0x7fd3e5b8f040, 0, 0x7fd3c7ac6000, 31, 0x80000000)                          = 0
pthread_mutex_lock(0x7fd3e5b8f040, 88, 6, 0x7fff1a76a004, 88)                                    = 0
pthread_mutex_unlock(0x7fd3e5b8f040, 1022, 0x7fd3c7ac6000, 0, 1023)                              = 0
pthread_mutex_lock(0x7fd3e5b8f040, 88, 6, 4, 0)                                                  = 0
pthread_mutex_unlock(0x7fd3e5b8f040, 1020, 0x7fd3c7ac6000, 1, 1022)                              = 0
pthread_mutex_lock(0x7fd3e5b8f040, 88, 6, 0x7fff1a76a004, 88)                                    = 0
Comment 28 Matěj Cepl 2009-08-06 10:08:22 EDT
*** Bug 513783 has been marked as a duplicate of this bug. ***
Comment 29 Mike C 2009-08-20 16:40:48 EDT
I don't know if my symptoms are related but whilst TB is running CPU usage seems OK, but as soon as I close TB then there is a process "thunderbird-bin" that sits there consuming around 56% of the CPU. This is consistent - I connect to an external imap server and have lightning installed but I doubt if this is relevant.

This is for an up to date F11 system running on an NC10 netbook.
Comment 30 Milan Kerslager 2009-09-05 14:04:36 EDT
I have thunderbird-3.0-2.6.b3.fc11.x86_64 since Aug 17 (regular F11 update), but still have troubles with freezing. I have GNOME with standard settings.
Comment 31 Mike C 2009-09-29 15:14:26 EDT
I am running TB 3.0beta4 for the i386 version from updates-testing in F11 and this problem has been resolved for me with this build.  However I am aware that there are significant problems with the x86_64 version - I understand that there is no official x86_64 version due to the developers believing that there are unresolved problems that will make that version not work. I wonder if installing the 32 bit version of TB, and running in an x86_64 OS will see the problems disappear?
Comment 32 Milan Kerslager 2009-09-30 05:50:07 EDT
With 64bit up-to-date Fedora 11 I tryed i586 package (thunderbird-3.0-2.6.b3.fc11.i586). If freezes like 64bit version.
Comment 33 Edward Rudd 2009-10-12 12:06:08 EDT
the 64bit version of beta4 still freezes quite often.. (actually seems to be more often than in beta3).

I have to let it sit there for sometimes up to 5 minutes before I'll regain control of the application.  (this is a quad core 2.6Ghz phenom w/ 4GB of ram)
Comment 34 Bill McGonigle 2010-04-21 13:20:34 EDT
I see this with:

  thunderbird-3.0.4-1.fc12.x86_64

so I'm looking here to see that it's being tracked properly.  I'm not sure we've gotten past symptoms to cause here yet.

upstream 472019 is marked as the external bug but that's about crashes.

Nathan suggests upstream 442674 as relevant which is marked incomplete due to lack of feedback.

I did a quick search on some of the symbols in Martin's backtrace but didn't turn up likely candidates.

I'll try attaching with gdb next time I see the symptom.
Comment 35 Bill McGonigle 2010-04-22 23:53:08 EDT
So, on mine anyway, it was thrashing .msf files which are mork databases.  I filed bmo 561272 on it.

One thing that helped was rebuilding index files.  Roughly, if your thunderbird is hung for the same reason:

  strace -p `pidof thunderbird-bin`

you'll see:

  lseek(119, 235773952, SEEK_SET)         = 235773952
  read(119, "^90=c9aab)(^92=0)(^91=0)(^93=0)("..., 4096) = 4096
  read(119, ")(^92=0)(^91=0)(^93=0)(^94=0)]\n["..., 4096) = 4096

ad. nauseum, but ctrl-c it and note that first number (file descriptor) and:

  ls -l /proc/`pidof thunderbird-bin`/fd/119

which will show you which folder's .msf is being thrashed.  When the UI comes back you can right-click the folder's Properties... and click 'Rebuild Index'.  I had one .msf go from 249MB to 2K.  Mork databases are apparently all loaded into memory and parsed before they're used.  If they're big ... ouch.  Efforts to replace Mork in Thunderbird appear to have begun in the last century.  Originally talked about for a 3.0 conversion to sqllite, it appears nothing's been done since 2008 on it so we might be with this problem a while (if my problem is the same as others').
Comment 36 Bug Zapper 2010-04-27 09:22:38 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 37 Bill McGonigle 2010-04-27 16:57:40 EDT
Reporter/maintainer: please bump to f12.
Comment 38 Bug Zapper 2010-06-28 07:36:23 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 39 Bill McGonigle 2010-06-28 07:41:49 EDT
(In reply to comment #37)
> Reporter/maintainer: please bump to f12.
Comment 40 Andrew Meredith 2010-06-28 12:04:03 EDT
I can confirm that this is still very much an issue in F12. Nothing has changed. Please bump to F12.
Comment 41 Jan Horak 2010-07-29 01:45:19 EDT
Could you retest with upstream binary of Thunderbird 3.1.1 [1] or with thunderbird 3.1.1 from F13?

[1] ftp://ftp.mozilla.org/pub/thunderbird/releases/3.1.1/linux-i686/en-US/
Comment 42 Andrew Meredith 2010-07-29 16:19:27 EDT
The closest I can find to 3.1.1 in the Fedora distro is

http://www.mirrorservice.org/sites/fedora.redhat.com/development/rawhide/i386/os/Packages/thunderbird-3.1-1.fc14.i686.rpm

Using this would require upgrading a production machine to Rawhide.

Do you know of a build for F13?
Comment 43 Edward Rudd 2010-07-29 16:31:47 EDT
There is a thunderbird 3.1.1 build in F13 updates.

http://download.fedora.redhat.com/pub/fedora/linux/updates/13/i386/thunderbird-3.1.1-1.fc13.i686.rpm
(and lightning)
http://download.fedora.redhat.com/pub/fedora/linux/updates/13/i386/thunderbird-lightning-1.0-0.26.b2pre.fc13.i686.rpm

I will be testing this later tonight once I reboot my Mac into F13 again.
Comment 44 Edward Rudd 2010-08-03 10:19:02 EDT
I is still periodically "hanging" and consuming 100% of the CPU. (one cpu in my case:) ).    Right now installing the debuginfo packages and will dump a backtrace when it is "hung"
Comment 45 Edward Rudd 2010-08-03 11:21:13 EDT
Created attachment 436298 [details]
backtrace during a freeze

Everytime I look at it it's always stuck in the libmork.
Comment 46 Andrew Meredith 2010-08-03 13:31:27 EDT
(In reply to comment #43)
> There is a thunderbird 3.1.1 build in F13 updates.
> 
> http://download.fedora.redhat.com/pub/fedora/linux/updates/13/i386/thunderbird-3.1.1-1.fc13.i686.rpm

Excellent .. got it, added debug, run, froze, ^C, bt ... and the winner is ??!

Yup, Mork again.

Backtrace to follow ..
Comment 47 Andrew Meredith 2010-08-03 13:36:21 EDT
Created attachment 436336 [details]
gdb backtrace of thunderbird freeze

I noted the filename /home/meredith/.thunderbird/r6flqs41.default/ImapMail/imap.ch.anvil.org/Junk.msf as part of the trace. This file is about 100M.
Comment 48 Bill McGonigle 2010-08-03 15:55:35 EDT
Andrew, could you try right-click... Properties... Rebuild Folder on your Junk box?  See how big the .msf is afterwards?
Comment 49 Andrew Meredith 2010-08-05 04:51:01 EDT
After rebuild it is now 110M
Comment 50 Bug Zapper 2010-11-04 07:24:16 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 51 Edward Rudd 2010-11-04 08:45:25 EDT
This still occurs with at least Fedora 13 builds of thunderbird
Comment 52 Jozsef Rekedt-Nagy 2010-12-13 12:39:36 EST
Same issue on Windows XP with Thunderbird 3.1.7 and IMAP servers, whole thing hangs for half a minute, sometimes minutes just to load a single message and apparently 'randomly' as well, guess when its refreshing folders
Comment 53 Bug Zapper 2011-06-02 14:11:31 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 54 Edward Rudd 2011-06-02 14:21:19 EDT
This still occurs in Fedora 15.
Comment 55 Bug Zapper 2011-06-27 10:08:32 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 56 Edward Rudd 2011-06-27 10:41:11 EDT
This is still occurring in Fedora 15 and I can not change the release # in this bug.
Comment 57 Bill McGonigle 2011-06-27 12:15:42 EDT
I sent a message to Jan and Ola asking for a version update and re-open.
Comment 58 Ola Thoresen 2011-06-28 10:12:33 EDT
I have not had the problem for a while.

What I did was to delete everything in .thunderbird and restart from scratch.
The I turned off local download of all folders (sync and storage), turned off "check for new mail" and turned off adaptive junk check.

For me, these settings are ok, as my imap-servers supports idle (so I don't need to pull mail), I have spamassasin in front, so I dont care about thunderbirds spamchecking and I don't normally need my email while offline (IE I am "never" offline).

I guess for others, turning off all this is not as easy to live with...
Comment 59 collura 2011-07-21 03:05:33 EDT
regarding the ssl comment in comment#9 

   (https://bugzilla.redhat.com/show_bug.cgi?id=493000#c9)

note a possibly related bug:

   https://bugzilla.redhat.com/show_bug.cgi?id=488066

talks about competition for single ssl thread
Comment 60 Andre Costa 2011-09-22 17:30:58 EDT
This still happens with thunderbird 6 on F15 x86_64, same setup (IMAP+SSL). Every once in a while when it says "Downloading message..." on the status bar CPU usage goes through the roof. Funny thing is that it makes X11 process to overload the CPU, and thunderbird itself appears on 2nd place on top's list.

IMHO it would be nice if someone could update this issue's title to reflect the fact that it still happens with latest version.
Comment 61 Edward Rudd 2011-10-01 18:30:02 EDT
Can someone link bugzilla.Mozilla.org bug 11050

https://bugzilla.mozilla.org/show_bug.cgi?id=11050

As this seems to be the "answer" to resolving this very annoying issue.
Comment 62 Jan Horak 2012-03-23 10:07:16 EDT
Is this issue still seen lately? Mozilla has been trying to remove morkDB for recent Thunderbird and this could also fix this issue.
Comment 63 Bill McGonigle 2012-03-24 16:18:17 EDT
Upstream bug is still unresolved.  I don't see anything in the release notes for Thunderbird 11:

https://www.mozilla.org/en-US/thunderbird/11.0/releasenotes/buglist.html
Comment 64 Fedora End Of Life 2012-08-07 16:13:58 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 65 Pavel Alexeev 2012-11-01 03:19:06 EDT
I have this issue in Fedora 17 too. Bz853638.

On big folders (in my case it was 450 000 of messages) thunderbird eat CPU 100% of 1 core and memory about 1-2Gb and freezes periodically.

I can fix it only by delete some messages from that folder.
Comment 66 Wayne Mery (:wsmwk) 2012-11-01 08:56:59 EDT
Pavel, what version Thunderbird?

There was a mime performance issue resolved in TB15 or TB16 iirc.
Comment 67 Bill McGonigle 2012-11-01 09:52:45 EDT
I'm still on tb15, due to a calendaring bug in newer versions, but there a great way to exaggerate this problem is to make a saved search on one of the very large folders.  Perhaps it needs to do the search n times for each selector of the saved search?  I can have saved search windows take 3 minutes to open on a decent quad-core machine with mirrored SATA disks with the result set only in the hundreds of messages (perhaps 5 criteria in the search).  The folder it's searching is very large, though.
Comment 68 Pavel Alexeev 2012-11-01 13:05:53 EDT
Ыщкнб forgot mention versions:
$ rpm -qa *xulrun* *thunderbird* *mozilla* *flash*
thunderbird-16.0.2-1.fc17.x86_64
xulrunner-16.0.2-1.fc17.x86_64
mozilla-filesystem-1.9-7.fc17.x86_64
thunderbird-debuginfo-16.0.2-1.fc17.x86_64
flash-plugin-11.2.202.236-1.R.x86_64
flash-plugin-kde-11.2.202.236-1.R.x86_64
Comment 69 Fedora End Of Life 2013-07-04 02:47:29 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 70 Fedora End Of Life 2013-08-01 14:26:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 71 Miroslav Suchý 2014-07-18 10:49:51 EDT
I have symptoms of this bug. Fedora 20

During the 100% CPU utilization the strace shows read() and lseek() on various *.msf files.
Comment 72 Andrew Meredith 2014-07-18 11:08:23 EDT
I can confirm that having large mail folders will mean that every now and then TBird just freezes for a minute or so. During this time, one of the CPUs is at 100%. When I have previously examined this I also found that the activity was around the msf files for the big folders.
Comment 73 Bill McGonigle 2014-07-18 11:20:51 EDT
I dropped the ball on working on this, but if anybody wants to debug this, BMO had a suggested path:

https://bugzilla.mozilla.org/show_bug.cgi?id=561272
Comment 74 Miroslav Suchý 2014-07-21 03:11:54 EDT
That does not work (unfortunately).
Comment 75 Miroslav Suchý 2014-08-05 04:29:44 EDT
This bug is so painful to me, that I'm willing to pay money to whoever resolve this issue:
https://www.bountysource.com/issues/3558744-imap-temporary-100-cpu-and-freezes-with-thunderbird-3
Comment 76 Bill McGonigle 2014-08-07 13:21:46 EDT
Just to clarify, I looked at the BMO bug again, and Miroslav was experieincing this problem with Global search/indexing disabled. So, something else is pounding the msf files, apparently. 

I only found an article about firefox, but this works for thundebird too, to run under gdb:

$ thunderbird -g -d gdb
(gdb)  handle SIG33 noprint nostop
(gdb)  run

(with xulrunner and thunderbird debuginfo installed, obviously)

I'll try it on my desktop which exibits this and see if I can get a useful backtrace.
Comment 77 Miroslav Suchý 2014-08-08 05:48:09 EDT
For the record. The size of my
  ~/.thunderbird/2nn7z7bh.default/Mail
is 7GB. And probably include milions of emails in dozens folders. So this can give you idea how big the directory have to be to have those symptomps nicely visibile.
Comment 78 Wayne Mery (:wsmwk) 2014-09-03 07:26:38 EDT
please provide the details in https://bugzilla.mozilla.org/show_bug.cgi?id=561272

thanks
Comment 79 Wayne Mery (:wsmwk) 2015-02-22 21:54:14 EST
(In reply to Andrew Meredith from comment #47)
> Created attachment 436336 [details]
> gdb backtrace of thunderbird freeze
> 
> I noted the filename
> /home/meredith/.thunderbird/r6flqs41.default/ImapMail/imap.ch.anvil.org/Junk.
> msf as part of the trace. This file is about 100M.

(In reply to Andrew Meredith from comment #49)
> After rebuild it is now 110M

(In reply to Andrew Meredith from comment #72)
> I can confirm that having large mail folders will mean that every now and
> then TBird just freezes for a minute or so. During this time, one of the
> CPUs is at 100%. When I have previously examined this I also found that the
> activity was around the msf files for the big folders.

Andrew,

A 100M size .msf suggests the corresponding folder is ~1GB.

1GB would be very large for a junk folder, which will like cause performance issues.  (Dont' know why junk, and trash, are worse than other large folders - perhaps because they are high activity?)

Why are you letting the junk folder get so big?
And what happens if you empty your junk folder?  (right+click on junk, empty)
Comment 80 Andrew Meredith 2015-03-02 07:43:24 EST
I was purely using the Junk folder as an example. It was so big because it had been a while since I last reviewed it and pushed the genuine spam through spamassassin.

Compacting made no difference to either the msf size or the occurances of regular stalls in TBird itself. After reducing it in size and doing another compact, the stalls ceased and the msf was minute.

This was all to further illustrate that TBird stalls for a disproportionately long time with bigger folders.
Comment 81 Fedora End Of Life 2015-05-29 04:35:49 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 82 Miroslav Suchý 2015-06-01 04:18:59 EDT
This is still valid in Fedora 22.
And I increased the bounty for this bug resolving to $150.
  https://www.bountysource.com/issues/3558744-imap-temporary-100-cpu-and-freezes-with-thunderbird-3
Comment 83 Wayne Mery (:wsmwk) 2015-06-07 13:51:05 EDT
(In reply to Miroslav Suchý from comment #82)
> This is still valid in Fedora 22.
> And I increased the bounty for this bug resolving to $150.
>  
> https://www.bountysource.com/issues/3558744-imap-temporary-100-cpu-and-
> freezes-with-thunderbird-3

Very generous Miroslav. I hope this helps get a fix. I'd like to offer some suggestions to increase your odds of success:

#1 you should mention this in an appropriate bug at bugzilla.mozilla.org where it will get many more eyes.

#2 if you don't find an appropriate bug at bugzilla.mozilla.org - meaning one that matches your issue precisely - then you should create one

the key to finding a precise matching bug, if one exists, is narrowing the list of symptoms, and determining whether the list of symptoms is just one item, or a combination.  Note - suggest you disable automatic compact first anything, in tools | options | advanced | network and disk.  To name some possibilities:
- high memory (over 500mb, if so how much)
- high cpu
- global index off or on
- autosync (syncrhonize messages) off or on
- IDLE enabled or not (account settings, server settings, advanced)
- situational:
 * only during startup
 * only when manually or automatically getting new messages
 * only when clicking a folder

The list of candidates bugs for the most part have pretty well narrowed summary titles - https://bugzilla.mozilla.org/buglist.cgi?bug_id=%20383718%20&bug_id_type=nowords&keywords=perf%2C&f1=short_desc&keywords_type=allwords&o3=anywordssubstr&list_id=12308919&bug_severity=blocker&bug_severity=critical&bug_severity=major&o1=nowordssubstr&resolution=---&classification=Client%20Software&classification=Components&query_format=advanced&f3=short_desc&f2=OP&component=Backend&component=Database&component=Folder%20and%20Message%20Lists&component=General&component=Networking&component=Networking%A%20IMAP&product=MailNews%20Core&product=Thunderbird
Comment 84 Miroslav Suchý 2015-06-07 14:20:46 EDT
As stated in #78 the relevant report in Mozilla tracker is:
  https://bugzilla.mozilla.org/show_bug.cgi?id=561272
Comment 85 Wayne Mery (:wsmwk) 2015-06-07 18:16:36 EDT
(In reply to Miroslav Suchý from comment #84)
> As stated in #78 the relevant report in Mozilla tracker is:
>   https://bugzilla.mozilla.org/show_bug.cgi?id=561272

Miroslav 

Yes, that was what *I* suggested a year ago, so I was asking again because I may be wrong. But I see your comment 71 "shows read() and lseek() on various *.msf files.", so perhaps your issue is a solid fit to Bills. If you are satisfied they are the same then let's continue in bug 561272.

NOTE - there's still more we need to know about Bill's issue, and yours. And you do not seem to be answering questions like https://bugzilla.mozilla.org/show_bug.cgi?id=561272#c13  It may be a hard and long process without your participation.  

I'm hoping the problem will turn out to be autosync related. Regardless, a recap from you and Bill on the following points would be very helpful to anyone who would be interested in your bounty.  So in a single comment in bug 561272 please give the following information:

- high memory? (over 500mb, if so how much)
- high cpu?
- fails with global index off?
- fails with autosync (syncrhonize messages) off? 
- fails with IDLE disabled? (account settings, server settings, advanced)
- fails with compact disabled?  (tools | options | advanced | network and disk)
- reliable network connection i.e. is not failing/is solid during your high CPU usage?
- what is the name and version of the imap server?
- maximum nunmber of messages in folder? (size is mentioned in bug 561272 comment 13, but not a message count)
- your list of addons?
- a profile url from https://developer.mozilla.org/en-US/docs/Mozilla/Performance/Reporting_a_Thunderbird_Performance_Problem_with_G
- if it fails because of imap or autosync activity then a log of the activity will help https://wiki.mozilla.org/MailNews:Logging
Anything else you think is relevant.

Lastly, your bounty is not going to be an incentive in the BMO bug until you mention it there.
Comment 86 Wayne Mery (:wsmwk) 2015-06-07 18:23:52 EDT
p.s. Bill's comment 35 is a very cool diagnostic.  But PLEASE (anyone) do not do a repair on a folder without first copying both the folder and the .msf file to a safe location outside the profile
Comment 87 Miroslav Suchý 2015-06-09 04:28:49 EDT
Please see:
  https://bugzilla.mozilla.org/show_bug.cgi?id=561272#c19
for solution.

I.e. set
  mail.db.max_open to 1000

From my POV this is resolved by Wayne Mery solution, and you can redeem the bounty for this bug (not sure what the process is as I never redeemed bounty. I am willing to assist if you have problem with redeem.).
Comment 88 Wayne Mery (:wsmwk) 2015-06-09 07:16:49 EDT
(In reply to Miroslav Suchý from comment #87)
> Please see:
>   https://bugzilla.mozilla.org/show_bug.cgi?id=561272#c19
> for solution.
> 
> I.e. set
>   mail.db.max_open to 1000
> 
> From my POV this is resolved by Wayne Mery solution, and you can redeem the
> bounty for this bug (not sure what the process is as I never redeemed
> bounty. I am willing to assist if you have problem with redeem.).

It is pleasing that you have good results. But I do not think this bug should be closed until the reporter and/or a few others who have previously commented are able to confirm the problem is gone while version 38 with default settings.
Comment 89 Miroslav Suchý 2015-06-29 05:33:39 EDT
Thunderbird 38 is currently in Fedora stable so I gave it try.
I tried to reset mail.db.max_open to default value. While the lags are not so big, after while I still found some. It was like 5 secons vs. 50 seconds as when I originally reported this issue.
After few hours I set mail.db.max_open back to 1000 and even those 5 secs lags are gone.
Comment 90 Wayne Mery (:wsmwk) 2015-06-29 06:46:32 EDT
(In reply to Miroslav Suchý from comment #89)
> Thunderbird 38 is currently in Fedora stable so I gave it try.
> I tried to reset mail.db.max_open to default value. While the lags are not
> so big, after while I still found some. It was like 5 secons vs. 50 seconds
> as when I originally reported this issue.
> After few hours I set mail.db.max_open back to 1000 and even those 5 secs
> lags are gone.

Miroslav, 
What happens if you set mail.db.max_open to something more modest, like 60?
Comment 91 Miroslav Suchý 2015-07-27 07:17:06 EDT
Modest value works as well. As long as it is bigger then number of my folders (something between 100 and 200 in my case).
When I use smaller value than my number of folders (e.g. 60 I see performance decreese).
Comment 92 Wayne Mery (:wsmwk) 2015-07-27 07:31:47 EDT
(In reply to Miroslav Suchý from comment #91)
> Modest value works as well. As long as it is bigger then number of my
> folders (something between 100 and 200 in my case).
> When I use smaller value than my number of folders (e.g. 60 I see
> performance decreese).

How many accounts do you have? pop or imap?
Do you use any server side filters or folder properties set to check for new mail (other than Inbox)?

What extensions are installed? (listed at help | troubleshooting)
Do you see the problem with Thunderbird started in safe mode?
Comment 93 Miroslav Suchý 2015-07-27 07:51:56 EDT
(In reply to Wayne Mery (:wsmwk) from comment #92)
> How many accounts do you have? pop or imap?

2 IMAP accounts
1 news (UUTP)
1 RSS

> Do you use any server side filters or folder properties set to check for new
> mail (other than Inbox)?

Yes, I have 14 folders on server (beside those basics) and I have 14 servers sides filters which move mails to those folders.
All remaining folders are local and are handled by Thunderbird filters.

> What extensions are installed? (listed at help | troubleshooting)

Awesome LdapInfoShow
Enigmail
Lightning
MailRedirect
QuoteCollapse

> Do you see the problem with Thunderbird started in safe mode?

Yes.

Note You need to log in before you can comment on or make changes to this bug.